package com.ywt.outpatient.domain.models;

import javax.persistence.Column;
import javax.persistence.Id;
import java.util.Date;

public class AttentionDoctorInfo {

    @Id
    private Integer id;

    /**
     * 用户ID，对应user表ID，此时角色为普通用户
     */
    @Column(name = "user_id")
    private Integer userId;

    /**
     * 关联ID，对应user表ID，角色可为医生
     */
    @Column(name = "union_user_id")
    private Integer unionUserId;

    /**
     * 关联医生的状态(对应user表的status)，0-正常，1-锁定
     */
    @Column(name = "doctor_status")
    private Integer doctorStatus;

    /**
     * 关联医生的姓名
     */
    @Column(name = "real_name")
    private String realName;

    /**
     * 所在城市名称
     */
    @Column(name = "city")
    private String city;

    /**
     * 关联医生的手机号
     */
    @Column(name = "mobile")
    private String mobile;

    /**
     * 关联用户的用户类型：1-普通用户，2-医生，4-药商，8-代表（这里只有医生）
     */
    @Column(name = "user_type")
    private Integer userType;

    /**
     * 关联状态(对应user_unions表的status)，0-启用，1-禁用（关注和不关注）
     */
    @Column(name = "union_status")
    private Integer unionStatus;

    /**
     * 关联类型：1-药商代表关联，2-药商、代表和医生关联，3-医生和患者关联，4-患者关注医生（此时只有4这种状态）
     */
    @Column(name = "union_type")
    private Integer unionType;

    /**
     * 医生的性别
     */
    @Column(name = "sex")
    private Integer sex;

    /**
     * 医生的头像
     */
    @Column(name = "avatar")
    private String avatar;

    /**
     * 医生所在医院IDs
     */
    @Column(name = "hospital_ids")
    private String hospitalIds;

    /**
     * 医生所在科室IDs
     */
    @Column(name = "dept_ids")
    private String deptIds;

    /**
     * 医生职称
     */
    @Column(name = "title")
    private String title;

    /**
     * 医生简介
     */
    @Column(name = "specialty")
    private String specialty;

    /**
     * 医生的出诊状态
     */
    @Column(name = "schedule_status")
    private String scheduleStatus;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    @Column(name = "avatar2")
    private String avatar2;


    @Column(name = "terminal", nullable = false)
    private Integer terminal;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getUnionUserId() {
        return unionUserId;
    }

    public void setUnionUserId(Integer unionUserId) {
        this.unionUserId = unionUserId;
    }

    public Integer getDoctorStatus() {
        return doctorStatus;
    }

    public void setDoctorStatus(Integer doctorStatus) {
        this.doctorStatus = doctorStatus;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Integer getUnionStatus() {
        return unionStatus;
    }

    public void setUnionStatus(Integer unionStatus) {
        this.unionStatus = unionStatus;
    }

    public Integer getUnionType() {
        return unionType;
    }

    public void setUnionType(Integer unionType) {
        this.unionType = unionType;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getHospitalIds() {
        return hospitalIds;
    }

    public void setHospitalIds(String hospitalIds) {
        this.hospitalIds = hospitalIds;
    }

    public String getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(String deptIds) {
        this.deptIds = deptIds;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public String getScheduleStatus() {
        return scheduleStatus;
    }

    public void setScheduleStatus(String scheduleStatus) {
        this.scheduleStatus = scheduleStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getAvatar2() {
        return avatar2;
    }

    public void setAvatar2(String avatar2) {
        this.avatar2 = avatar2;
    }

    public Integer getTerminal() {
        return terminal;
    }

    public void setTerminal(Integer terminal) {
        this.terminal = terminal;
    }
}
